(define (script-fu-trans-nscbtn-blur image drawable imgcopy blur opacity)
    (let* 
		(
			(theImage ())
			(width ())
			(height ())
			(theLayer ())
			(theLayer2 ())
		)


		(if (= imgcopy TRUE )
			(begin
				(let*
					(
						(prefixString "nbtn_")
						(dirSep "\\")
						(theFilename ())
						(theFilePathList ())
						(newFilename ())
						(newFilePath ())
					)

					(set! theImage (car (gimp-image-duplicate image)))
					(set! theFilename (car(gimp-image-get-filename image)))

					(if (> (length (strbreakup theFilename "/")) (length (strbreakup theFilename "\\")))
						(set! dirSep "/")
					)

					(set! theFilePathList (strbreakup theFilename dirSep))
					(set! newFilename (string-append prefixString (car (last theFilePathList))))
					(set! newFilePath (unbreakupstr (append (butlast theFilePathList) (cons newFilename ())) dirSep))
					(gimp-image-set-filename theImage newFilePath)
				)
			)
			(set! theImage image)
		);end of if

		(gimp-image-merge-visible-layers theImage EXPAND-AS-NECESSARY)
		(set! width (car (gimp-image-width theImage)))
		(set! height (car (gimp-image-height theImage)))
		(set! theLayer (car (gimp-image-get-active-layer theImage)))

		(set! theLayer2 (car(gimp-layer-copy theLayer 1)))
		(gimp-image-add-layer theImage theLayer2 0)
		(gimp-image-resize theImage (* 2 width) height 0 0)
		(gimp-layer-resize theLayer (* 2 width) height 0 0)
		(gimp-layer-set-offsets theLayer 0 0)
		(gimp-layer-resize theLayer2 (* 2 width) height width 0)
		(gimp-layer-set-offsets theLayer2 0 0)
		(if (> blur 0)
			(plug-in-gauss-iir2 1 theImage theLayer blur blur)
		)
		(if (< opacity 100)
			(gimp-layer-set-opacity theLayer opacity)
		)

		(set! theLayer (car (gimp-image-get-active-layer theImage)))
                    
		(if (= imgcopy TRUE )
			(gimp-display-new theImage)        
			(gimp-displays-flush)
		);end of if
	)

);end of define

(script-fu-register
    "script-fu-trans-nscbtn-blur"                  ;Script name
    "<Image>/Script-Fu/Button/trans-nscbtn-blur"   ;Menu
    "trans-nscbtn-blur 0.1 
    for Nscripter spbtn"                      ;Description
    "Han-Nama"                                ;Creater
    "copyright 2009, Han-nama"                ;copyright notice
    "10 11, 2009"                             ;date created
    "RGB*, GRAY*"
    SF-IMAGE      "Image"     0
    SF-DRAWABLE   "Drawable"  0
    SF-TOGGLE     "新規画像"         TRUE                    ;Image Duplication
    SF-ADJUSTMENT "ボカシ半径"       '(2.0 0 100 1 10 0 0)   ;ぼかし半径
    SF-ADJUSTMENT "不透明度"         '(70 0 100 1 10 0 0)    ;Pastedレイヤーの不透明度
);end of register
